# Interface AnnotationValue.OfShort

All Superinterfaces:
  `AnnotationValue, AnnotationValue.OfConstant`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfShort extends AnnotationValue.OfConstant
Models a short value of an element-value pair. The tag of this value is S.

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface AnnotationValue

  `AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

- ## Field Summary

  ### Fields declared in interface AnnotationValue

  `TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IntegerEntry`
  `constant()`
  Returns the backing integer entry.
  `default Short`
  `resolvedValue()`
  Returns the resolved short value.
  `short`
  `shortValue()`
  Returns the constant short value.

  ### Methods declared in interface AnnotationValue

  `tag`

- ## Method Details

  - ### constant

    IntegerEntry constant()
    Returns the backing integer entry.
    Specified by:
      `constant` in interface `AnnotationValue.OfConstant`
    Returns:
      the backing integer entry

  - ### shortValue

    short shortValue()
    Returns the constant short value.
    Returns:
      the constant short value
    See Java Virtual Machine Specification:
      2.11.1 Types and the Java Virtual Machine

  - ### resolvedValue

    default Short resolvedValue()
    Returns the resolved short value.
    Specified by:
      `resolvedValue` in interface `AnnotationValue.OfConstant`
    Implementation Requirements:
      This method returns the same as `shortValue()`.
    Returns:
      the resolved short value